﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Ozeki.VoIP.SIP;

namespace MessageManipulatorExample
{
    class SIP_CustomMessageManipulator : ISIPMessageManipulator
    {
        public string CustomIncomingMessage { get; set; }
        public string CustomOutgoingMessage { get; set; }

        public string PerformReceivedMessage(string incomingMessage)
        {
            if (string.IsNullOrEmpty(CustomIncomingMessage))
                return null;

            return CustomIncomingMessage;
        }

        public string PerformSendMessage(string outGoingMessage)
        {
            if (string.IsNullOrEmpty(CustomOutgoingMessage))
                return null;

            return CustomOutgoingMessage;
        }

        public IEnumerable<PreparedExtensionHeader> PrepareAdditionalHeaders(string outGoingMessage)
        {
            return null;
        }
    }
}
